Subject: [IDMEF][Issue 12]Messages too verbose

From: Herve Debar <[email-masked]>
Date: Fri, 09 Jan 2004 10:12:09 +0100

From Krzysztof Zaraska:
Another problem is that alerts are too verbose, i.e. every message 
sent from sensor to the manager carries the same "Analyzer" object. In 
fact, it should be enough to send such data once at the beginning of 
the session. Fortunately, as we don't use XML on sensor->manager link, 
so we can do that at the implementation level without breaking the 
draft, but the idea could be worth considering.

Hervé:
This has been beaten to death on the mailing list. Solutions are to
- compress (XML compresses well .... :-)
- use ident references, with the risk of not being fully compliant.

*Issue closed*

Hervé
-- 
Hervé Debar             <mailto:[email-masked]>
Tel: +33 (0)2 31 75 92 61            GSM: +33 (0)6 74 09 09 66
France Télécom R&D                   Fax: +33 (0)2 31 75 93 13
42 rue des Coutures  (--)  BP 6243  (--)  F-14066 Caen Cedex 4